# Retrieve all interest pause periods for a loan

`GET /lokta-lms/api/v1/loans/{loanId}/interest-pauses`

Fetches a list of all active interest pause periods for a specific loan.

## Parameters
- `loanId` (path, integer, required): loanId

## Responses
- `200`: List of interest pause periods

## Response fields
- `dateFormat` (string): Date format used to interpret start and end dates
- `endDate` (string): End date of the interest pause period
- `id` (integer): ID of the loan term variation
- `locale` (string): Locale used for date formatting
- `startDate` (string): Start date of the interest pause period

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/loans/{loanId}/interest-pauses' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
[
  {
    "dateFormat": "yyyy-MM-dd",
    "endDate": "2024-01-11",
    "id": 1,
    "locale": "en"
  }
]
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveAllLoanInterestPauses
